<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzerResultLogs']}"/>
    <ui:param name="pageNameUrl" value="/common/messageContentAnalyzerResultLogs.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.mca.MessageContentAnalyzerResultLogs']}"/>
    <ui:define name="body">
        <h:form id="globalForm">
            <s:token allowMultiplePosts="true"/>

            <ui:decorate template="/layout/panels/_panel_title_id.xhtml">


                <ui:param name="panel_id" value="criteriaDiv"/>

                <div class="row">

                    <div class="col-lg-8">

                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{analysisBeanGui.dataModel.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="validation_date"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.mca.ValidationDate']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </div>

                    <s:div styleClass="col-lg-8" rendered="#{s:hasRole('admin_role')}">

                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{analysisBeanGui.dataModel.filter}"/>
                            <ui:param name="filterId" value="username"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.mca.validation.login']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </s:div>

                    <div class="col-lg-8">

                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{analysisBeanGui.dataModel.filter}"/>
                            <ui:param name="filterId" value="validation_types"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.mca.ValidationType']}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                    </div>
                </div>


                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.assets.SearchCriteria']}"/>
                    <em class="pull-right">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.mca.ResetFilters']}"
                                         actionListener="#{analysisBeanGui.resetFilter()}"
                                         render="globalForm">
                            <span class="gzl-icon-times-circle"/>
                        </a4j:commandLink>
                    </em>
                </ui:define>

            </ui:decorate>

            <s:div id="resultDiv">
                #{dataTableStateHolder.setAscendingOn('date')}
                <rich:dataTable value="#{analysisBeanGui.dataModel}" var="data"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                id="resultTable"
                                render="ds" styleClass="table table-striped  table-responsive">
                    <g:column rendered="#{identity.loggedIn}">
                        <s:span styleClass="gzl-icon-link" rendered="#{not empty data.sharing.privacyKey}"
                                title="#{messages['gazelle.evs.ThisValidationReportIsShared']}"/>
                        <s:span styleClass="gzl-icon-lock" rendered="#{data.sharing.getIsPrivate() and empty data.sharing.privacyKey}"
                                title="#{messages['gazelle.evs.ThisValidationReportIsPrivate']}"/>
                        <s:span styleClass="gzl-icon-unlock" rendered="#{!data.sharing.getIsPrivate()}"
                                title="#{messages['gazelle.evs.ThisValidationReportIsPublic']}"/>
                    </g:column>
                    <g:column sortBy="#{'oid'}" filterBy="#{'oid'}" >
                        <ui:define name="header">#{messages['net.ihe.gazelle.mca.saml.oid']}</ui:define>
                        <h:outputLink id="link1" value="#{analysisBeanGui.getPermanentLink(data)}" target="_blank">
                            <h:outputText value="#{data.oid}"/>
                        </h:outputLink>
                    </g:column>
                    <g:column sortBy="#{'date'}"
                              sortOrder="descending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.mca.Date']}</ui:define>
                        <g:date date="true" time="true" value="#{data.date}" tooltip="false"/>
                    </g:column>
                    <g:column sortBy="#{'owner.username'}" rendered="#{s:hasRole('admin_role')}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.mca.validation.login']}</ui:define>
                        <h:outputText value="#{analysisBeanGui.getUserName(data.owner.username)}"/>
                    </g:column>
                    <g:column sortBy="#{'object.originalFileName'}" filterBy="#{'object.originalFileName'}" >
                        <ui:define name="header">#{messages['net.ihe.gazelle.mca.Filename']}</ui:define>
                        <h:outputText value="#{data.object.originalFileName}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.mca.ValidationType']}</ui:define>
                        <h:outputText value="#{analysisBeanGui.getValidationTypeListAsString(data)}"/>
                    </g:column>
                    <f:facet name="footer">
                        <s:div style="text-align: center;">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="resultTable"/>
                            </ui:include>
                        </s:div>
                    </f:facet>
                </rich:dataTable>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
